Package org.apache.batchee.container.services.persistence

## Class MemoryPersistenceManagerService.Structures.JobInstanceData

- java.lang.Object
- - org.apache.batchee.container.services.persistence.MemoryPersistenceManagerService.Structures.JobInstanceData

- All Implemented Interfaces:
    `Serializable`, `MemoryPersistenceManagerService.Structures`
  Enclosing interface:
    MemoryPersistenceManagerService.Structures

      public static class MemoryPersistenceManagerService.Structures.JobInstanceData
      extends Object
      implements MemoryPersistenceManagerService.Structures

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.batchee.container.services.persistence.MemoryPersistenceManagerService.Structures

      `MemoryPersistenceManagerService.Structures.ExecutionInstanceData, MemoryPersistenceManagerService.Structures.JobInstanceData, MemoryPersistenceManagerService.Structures.StepExecutionInstanceData`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Collection<CheckpointDataKey>` | `checkpoints` |
    `protected List<MemoryPersistenceManagerService.Structures.ExecutionInstanceData>` | `executions` |
    `protected JobInstanceImpl` | `instance` |
    `protected JobStatus` | `status` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobInstanceData()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          protected JobInstanceImpl instance

    - #### status

          protected JobStatus status

    - #### executions

          protected final List<MemoryPersistenceManagerService.Structures.ExecutionInstanceData> executions

    - #### checkpoints

          protected final Collection<CheckpointDataKey> checkpoints

  - ### Constructor Detail

    - #### JobInstanceData

          public JobInstanceData()